Skip to main content
POST
/
v2
/
payments
/
find-eligible-methods
curl --request POST \
  --url https://api-m.paypal.com/v2/payments/find-eligible-methods \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer": {
    "country_code": "US",
    "channel": {
      "browser_type": "SAFARI",
      "device_type": "MOBILE",
      "client_os": "IOS"
    }
  },
  "purchase_units": [
    {
      "amount": {
        "currency_code": "USD",
        "value": "100.00"
      }
    }
  ],
  "preferences": {
    "payment_source_constraint": {
      "constraint_type": "EXCLUDE",
      "payment_sources": [
        "PAYPAL"
      ]
    }
  }
}
'
{
  "eligible_methods": {
    "venmo": {
      "can_be_vaulted": true
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication

Headers

Authorization
string

Holds authorization information for external API calls. Standard headers are generally less restrictive in structure due to historical precedent across browsers, etc. This is a common schema for use in defining most standard headers.

Required string length: 1 - 16000
Pattern: ^.*$
PayPal-Auth-Assertion
string

Header for an API client-provided JWT assertion that identifies the merchant. Establishing the consent to act-on-behalf of a merchant is a prerequisite for using this header.

Required string length: 1 - 10000
Pattern: ^.*$
User-Agent
string

A characteristic string that lets servers and network peers identify the application, operating system, vendor, and/or version of the requesting user agent. API calls made by PayPal SDKs SHOULD be identified using this request header. Standard headers are generally less restrictive in structure due to historical precedent across browsers, etc. This is a common schema for use in defining most standard headers.

Required string length: 1 - 16000
Pattern: ^.*$
PayPal-Client-Metadata-Id
string

A GUID value originating from Fraudnet and Dyson passed from external API clients via HTTP header. The value is used by Risk decisions to correlate calls which, in turn, might result in lower decline rates.. A Globally Unique Identifier (GUID) value.

Required string length: 1 - 68
Pattern: ^[A-Za-z0-9-{}(),]*$

Body

application/json

Request to get list of eligible payment methods.

customer
Customer · object

Customer who is making a purchase from the merchant/partner.

purchase_units
eligibility_purchase_unit_request · object[]

Array of purchase units.

Required array length: 1 - 10 elements
preferences
Preferences · object

Preferences of merchant/partner consuming the API.

Response

A successful request returns the HTTP 200 OK status code and a JSON response body that provides list of eligibile payments.

Eligible payment methods.

eligible_methods
Payment Methods · object

List of payment methods that are eligible.

supplementary_data
Supplementary Data · object

Contains supplementary data related to the eligibility check.